Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter
object

Filter records on a given record attribute and value.
Example: filter[status]=delivered.
Required: filter[record_type] must be specified.
The valid filter fields depend on the record_type: filtering by a field that does not exist for the selected record_type is rejected with a 400 error. Call-control and sip-trunking records use started_at, finished_at and answered_at (they have no created_at); messaging records use created_at. To list the fields available for a record_type, use the /v2/detail_records/options endpoint.

sort
string[]

Specifies the sort order for results.
Example: sort=-created_at
The valid sort fields depend on the record_type: sort by a field that does not exist for the selected record_type is rejected with a 400 error. Call-control and sip-trunking records use started_at, finished_at and answered_at (they have no created_at); messaging records use created_at. To list the fields available for a record_type, use the /v2/detail_records/options endpoint.

page
object

Consolidated page parameter (deepObject style). Originally: page[number], page[size]

Response

Successful

data
(Message · object | Conference · object | Conference Participant · object | AMD · object | Verify 2FA · object | Sim Card Usage · object | Media Storage · object)[]

An object following one of the schemas published in https://developers.telnyx.com/docs/api/v2/detail-records

meta
object